<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbProductTranslateTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_product_translate', function(Blueprint $table)
		{
			$table->foreign('language_id', 'fk_pt_l')->references('id')->on('ab_language')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('site_id', 'fk_pt_p')->references('site_id')->on('ab_product')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_product_translate', function(Blueprint $table)
		{
			$table->dropForeign('fk_pt_l');
			$table->dropForeign('fk_pt_p');
		});
	}

}
